diff --git a/bootstrap/dotlink.sh b/bootstrap/dotlink.sh
index 9cf3d69..ba7f148 100644
--- a/bootstrap/dotlink.sh
+++ b/bootstrap/dotlink.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
 # relink all stowed files from anywhere
 # grepping is to remove meaningless stderr lines until this bug is fixed:
 # https://github.com/aspiers/stow/issues/65
@@ -10,6 +10,8 @@
 # to customize this to your own needs, change the `push folder` to the
 # location of your dotfiles (stow) repository
 
-alias dotlink="pushd ~/.dotfiles;\
-    dotter deploy;\
-    popd"
+dotlink() {
+    cd ~/.dotfiles || return
+    dotter "${@:-deploy}"
+    cd "$OLDPWD" || return
+}